claw::graphic::image::scanline Class Reference

One line in the image. More...

`#include <image.hpp>`

Inheritance diagram for claw::graphic::image::scanline:

## Public Types

typedef std::vector< pixel_type > | super
| The type of the parent class.
typedef super::value_type | value_type
| The type of the pixels.
typedef super::reference | reference
| Reference to a pixel..
typedef super::const_reference | const_reference
| Const reference to a pixel.
typedef super::iterator | iterator
| Iterator in the line.
typedef super::const_iterator | const_iterator
| Const iterator in the line.
typedef super::size_type | size_type
| An unsigned integral type.

## Public Member Functions

iterator | begin ()
| Get an iterator on the first pixel.
iterator | end ()
| Get en iterator past the last pixel.
const_iterator | begin () const
| Get an iterator on constant data on the first pixel.
const_iterator | end () const
| Get an iterator on constant data past the last pixel.
reference | operator[] (unsigned int i)
| Get a pixel from the line.
const_reference | operator[] (unsigned int i) const
| Get a pixel from the line.
size_type | size () const
| Get the length of the line.

## Friends

class | image

## Detailed Description

One line in the image.

Author
  Julien Jorge

Definition at line 59 of file image.hpp.

## Member Typedef Documentation

## const_iterator

typedef super::const_iterator claw::graphic::image::scanline::const_iterator

Const iterator in the line.

Definition at line 81 of file image.hpp.

## const_reference

typedef super::const_reference claw::graphic::image::scanline::const_reference

Const reference to a pixel.

Definition at line 75 of file image.hpp.

## iterator

typedef super::iterator claw::graphic::image::scanline::iterator

Iterator in the line.

Definition at line 78 of file image.hpp.

## reference

typedef super::reference claw::graphic::image::scanline::reference

Reference to a pixel..

Definition at line 72 of file image.hpp.

## size_type

typedef super::size_type claw::graphic::image::scanline::size_type

An unsigned integral type.

Definition at line 84 of file image.hpp.

## super

typedef std::vector<pixel_type> claw::graphic::image::scanline::super

The type of the parent class.

Definition at line 66 of file image.hpp.

## value_type

typedef super::value_type claw::graphic::image::scanline::value_type

The type of the pixels.

Definition at line 69 of file image.hpp.

## Member Function Documentation

## begin() [1/2]

claw::graphic::image::scanline::iterator claw::graphic::image::scanline::begin | ( |  | ) |

Get an iterator on the first pixel.

Definition at line 54 of file image.cpp.

## begin() [2/2]

claw::graphic::image::scanline::const_iterator claw::graphic::image::scanline::begin | ( |  | ) | const

Get an iterator on constant data on the first pixel.

Definition at line 73 of file image.cpp.

## end() [1/2]

claw::graphic::image::scanline::iterator claw::graphic::image::scanline::end | ( |  | ) |

Get en iterator past the last pixel.

Definition at line 63 of file image.cpp.

## end() [2/2]

claw::graphic::image::scanline::const_iterator claw::graphic::image::scanline::end | ( |  | ) | const

Get an iterator on constant data past the last pixel.

Definition at line 83 of file image.cpp.

## operator[]() [1/2]

claw::graphic::image::scanline::reference claw::graphic::image::scanline::operator[] | ( | unsigned int | i | ) |

inline

Get a pixel from the line.

Parameters

  i | The index of the pixel.

Definition at line 38 of file image.ipp.

## operator[]() [2/2]

claw::graphic::image::scanline::const_reference claw::graphic::image::scanline::operator[] | ( | unsigned int | i | ) | const

inline

Get a pixel from the line.

Parameters

  i | The index of the pixel.

Definition at line 49 of file image.ipp.

## size()

claw::graphic::image::scanline::size_type claw::graphic::image::scanline::size | ( |  | ) | const

Get the length of the line.

Definition at line 93 of file image.cpp.

## Friends And Related Symbol Documentation

## image

friend class image

friend

Definition at line 62 of file image.hpp.

The documentation for this class was generated from the following files:

- image.hpp
- code/image.cpp
- impl/image.ipp